APT-CDROM(8)

NOM
apt-cdrom - Gestion des cédéroms par APT

SYNOPSIS
apt-cdrom [ -hvrmfan ] [ -d=point de montage du cédérom ] [ -o=option de configuration ] [ -c=fichier ] { add | ident }

DESCRIPTION

apt-cdrom est utilisé pour ajouter un nouveau cédérom à la liste des sources disponibles. apt-cdrom prend soin de déterminer la structure du disque, de corriger de possibles erreurs de gravure et de vérifier les fichiers d'index.

Il est nécessaire d'utiliser apt-cdrom pour ajouter des cédéroms au système APT, cela ne peut être réalisé « à la main ». Par ailleurs, chaque disque d'un ensemble de cédéroms doit être séparément inséré et parcouru pour prendre en compte de possibles erreurs de gravure.

À moins que l'option -h ou --help ne soit donnée, l'une des commandes suivantes doit être présente.

add La commande add est utilisée pour ajouter un nouveau disque à la liste des sources. Elle démonte le cédérom, réclame l'insertion d'un disque, parcourt ensuite le disque et copie les fichiers d'index. Si le disque ne possède pas de répertoire .disk/ correct, un titre descriptif est demandé. APT utilise un identifiant de cédérom pour reconnaître le disque qui se trouve actuellement dans le lecteur et maintient une base de données de ces identifiants dans /var/lib/apt/cdroms.list.

ident
    Un outil de débogage pour rapporter l'identifiant du disque actuel ainsi que le nom du fichier stocké.

OPTIONS

Toutes les options en ligne de commande peuvent être positionnées via le fichier de configuration ; les descriptifs indiquent l'option de configuration à positionner. En ce qui concerne les options booléennes, on peut annuler le fichier de configuration en utilisant quelque chose comme -f-,--no-f, -f=no ou d'autres variantes.

-d

--cdrom
    Point de montage ; spécifie l'emplacement de montage du cédérom. Ce point de montage doit être spécifié dans /etc/fstab et correctement configuré. Élément de configuration : Acquire::cdrom::mount.

-r

--rename
    Change le nom d'un disque ; change le nom d'un disque ou annule le nom donné aux disques. Cette option oblige apt-cdrom à demander un nouveau nom à l'utilisateur. Élément de configuration : APT::CDROM::Rename.

-m

--no-mount
    Pas de montage ; empêche apt-cdrom de monter ou démonter le point de montage. Élément de configuration : APT::CDROM::NoMount.

-f

--fast
    Copie rapide ; suppose que les paquets sont valides et ne vérifie pas chaque paquet. Cette option ne devrait être utilisée que si apt-cdrom a préalablement utilisé ce disque et n'a trouvé aucune erreur. Élément de configuration : APT::CDROM::Fast.

-a

--thorough
    Parcours minutieux des paquets ; cette option peut être nécessaire avec de vieux cédéroms de systèmes Debian 1.1 ou 1.2 dont les fichiers Packages sont situés dans des endroits étranges. Il faudra plus de temps pour parcourir le CD mais tous les paquets seront repérés.

-n

--just-print

--recon

--no-act
    Aucune modification ; ne pas modifier le fichier sources.list(5) ni les fichiers d'index. Cependant, tout est vérifié. Élément de configuration : APT::CDROM::NoAct.

-h

--help
    Affiche un mode d'emploi succinct.

-v

--version
    Affiche la version du programme.

-c

--config-file
    Fichier de configuration ; indique quel fichier de configuration utiliser. Le programme lit le fichier de configuration par défaut, puis celui-ci. Voyez apt.conf(5) pour la syntaxe.

-o

--option
    Donne une option de configuration ; cela fixe une option de configuration arbitraire. La syntaxe est : -o Foo::Bar=bar.

VOIR AUSSI

apt.conf(5) , apt-get(8) , sources.list(5)

DIAGNOSTICS

apt-cdrom retourne zéro après un déroulement normal, et le nombre décimal 100 en cas d'erreur.

BOGUES

Voyez la page concernant les bogues de APT <URL:http://bugs.debian.org/src:apt>. Si vous voulez rapporter un bogue, consultez le texte /usr/share/doc/debian/bug-reporting.txt ou utilisez la commande reportbug(1) .

AUTEUR

APT a été écrit par l'équipe APT <apt@packages.debian.org>.

TRADUCTION

Jérôme Marant. 2000 ; mise à jour : Philippe Batailler. 2004.